Bug 431644 - grub switches hd0 and hd1
grub switches hd0 and hd1
Product: Fedora
Classification: Fedora
Component: anaconda (Show other bugs)
All Linux
low Severity low
: ---
: ---
Assigned To: Anaconda Maintenance Team
Fedora Extras Quality Assurance
Depends On:
  Show dependency treegraph
Reported: 2008-02-06 00:11 EST by cornel panceac
Modified: 2008-06-16 21:17 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2008-02-08 09:07:50 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description cornel panceac 2008-02-06 00:11:31 EST
Description of problem:
f9 alpha x86_64 live cd : after install script completes, grub is configured as
anaconda sees the drive, thus hd1 is used instead of hd0 and the system is
unable to boot.

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1.install fedora to hard disk
Actual results:
system is unable to boot "no such partition"

Expected results:
system boots

Additional info:
Comment 1 Jeremy Katz 2008-02-06 11:54:41 EST
Did you configure the "which drive to boot your installation from" combo box on
the partitioning screen?
Comment 2 cornel panceac 2008-02-06 12:00:46 EST
no, it's the first time i've heard about it.
Comment 3 Jeremy Katz 2008-02-08 09:07:50 EST
It's on the first partitioning screen and explicitly asks which drive should be
booted from.  You can also get even more fine-grained control from the advanced
bootloader configuration screen.

Unfortunately, there is no way on PC hardware to reliably determine the boot
order of the hard drives such that we can always get it right.  It's just not
information that the hardware can give us.
Comment 4 cornel panceac 2008-02-08 10:35:20 EST
then how does the installed fedora always choose another order? also how does
the bios always choose another order than anaconda and this grub?
Comment 5 cornel panceac 2008-06-15 02:46:59 EDT
installing from 6.06.2008 boot.iso (rawhide), during install time, sda and sdb
are switched, and after install, iget this error:

fsck.ext3: No such file ordirectory while trying to open /dev/sdb6

probably because after install, the device names are correct, what was sdb now
is sda everytime i boot. however, i've see no trace of sdb6 anywhere. how can i
fix that?

i've rebuilded initrd when i get a correct drives name in rescue mode (wich is
not happening every time)

i've replaced uuid with /dev/sda6 in grub.conf. the error is still there.
Comment 6 cornel panceac 2008-06-15 03:46:03 EDT
aargh! uuid was also present in /etc/fstab, after replacing with /dev/sda6, it
booted, wich makes me think that uuid is just an alias of the device name .....

Note You need to log in before you can comment on or make changes to this bug.